RTEMS: Data Fields

| RTEMS 5.4-rc2

Loading...
Searching...
No Matches
Here is a list of all documented struct and union fields with links to the struct/union documentation for each field:

### - u -

- u16 : ITM_Type
- u32 : ITM_Type
- u8 : ITM_Type
- uart_baseAddress : bfin_uart_channel_t
- uart_baud : bfin_uart_channel_t
- UART_BRGR : Uart
- UART_CMPR : Uart
- UART_CR : Uart
- UART_IDR : Uart
- UART_IER : Uart
- UART_IMR : Uart
- UART_MR : Uart
- UART_RHR : Uart
- uart_rxDmaBaseAddress : bfin_uart_channel_t
- UART_SR : Uart
- UART_THR : Uart
- uart_txDmaBaseAddress : bfin_uart_channel_t
- uart_useDma : bfin_uart_channel_t
- uart_useInterrupts : bfin_uart_channel_t
- UART_VERSION : Uart
- UART_WPMR : Uart
- uartId : UartDma
- uid : rtems_shell_env_t, rtems_user_env_t
- ulClock : _console_tbl
- ulCtrlPort1 : _console_tbl
- ulCtrlPort2 : _console_tbl
- ulDataPort : _console_tbl
- ulHysteresis : _console_tbl
- ulIntVector : _console_tbl
- ulMargin : _console_tbl
- umask : rtems_user_env_t
- unallocated : rtems_object_api_class_information
- unavail_blocks : rtems_flashdisk, rtems_flashdisk_config
- unblock : Scheduler_Operations
- unite : drvmgr_bus_ops
- unload : rtems_rtl_loader_table
- unlock_way : L2CC
- unmap_priority : Scheduler_Operations
- unmount_task : rtems_filesystem_mount_table_entry_tt
- unresolved : rtems_rtl_data, rtems_rtl_elf_reloc_data, rtems_rtl_obj
- update : pfpu_td, Thread_queue_Context
- update_count : Thread_queue_Context
- update_priority : Scheduler_Operations
- upper_wrprot_block : ALT_QSPI_DEV_SIZE_CONFIG_s
- uptime : rtems_record_client_per_cpu
- US_BRGR : Usart
- US_CR : Usart
- US_CSR : Usart
- US_FIDI : Usart
- US_ICDIFF : Usart
- US_IDR : Usart
- US_IDTRX : Usart
- US_IDTTX : Usart
- US_IER : Usart
- US_IF : Usart
- US_IMR : Usart
- US_LINBRR : Usart
- US_LINIR : Usart
- US_LINMR : Usart
- US_LONB1RX : Usart
- US_LONB1TX : Usart
- US_LONBL : Usart
- US_LONDL : Usart
- US_LONL2HDR : Usart
- US_LONMR : Usart
- US_LONPR : Usart
- US_LONPRIO : Usart
- US_MAN : Usart
- US_MR : Usart
- US_NER : Usart
- US_RHR : Usart
- US_RTOR : Usart
- US_THR : Usart
- US_TTGR : Usart
- US_VERSION : Usart
- US_WPMR : Usart
- US_WPSR : Usart
- usage_count : rtems_profiling_smp_lock
- usartId : UsartDma
- usbclksel : lpc176x_scb
- USBHS_CTRL : Usbhs
- USBHS_DEVCTRL : Usbhs
- USBHS_DEVDMA : Usbhs
- USBHS_DEVDMAADDRESS : UsbhsDevdma
- USBHS_DEVDMACONTROL : UsbhsDevdma
- USBHS_DEVDMANXTDSC : UsbhsDevdma
- USBHS_DEVDMASTATUS : UsbhsDevdma
- USBHS_DEVEPT : Usbhs
- USBHS_DEVEPTCFG : Usbhs
- USBHS_DEVEPTICR : Usbhs
- USBHS_DEVEPTIDR : Usbhs
- USBHS_DEVEPTIER : Usbhs
- USBHS_DEVEPTIFR : Usbhs
- USBHS_DEVEPTIMR : Usbhs
- USBHS_DEVEPTISR : Usbhs
- USBHS_DEVFNUM : Usbhs
- USBHS_DEVICR : Usbhs
- USBHS_DEVIDR : Usbhs
- USBHS_DEVIER : Usbhs
- USBHS_DEVIFR : Usbhs
- USBHS_DEVIMR : Usbhs
- USBHS_DEVISR : Usbhs
- USBHS_FSM : Usbhs
- USBHS_HSTADDR1 : Usbhs
- USBHS_HSTADDR2 : Usbhs
- USBHS_HSTADDR3 : Usbhs
- USBHS_HSTCTRL : Usbhs
- USBHS_HSTDMA : Usbhs
- USBHS_HSTDMAADDRESS : UsbhsHstdma
- USBHS_HSTDMACONTROL : UsbhsHstdma
- USBHS_HSTDMANXTDSC : UsbhsHstdma
- USBHS_HSTDMASTATUS : UsbhsHstdma
- USBHS_HSTFNUM : Usbhs
- USBHS_HSTICR : Usbhs
- USBHS_HSTIDR : Usbhs
- USBHS_HSTIER : Usbhs
- USBHS_HSTIFR : Usbhs
- USBHS_HSTIMR : Usbhs
- USBHS_HSTISR : Usbhs
- USBHS_HSTPIP : Usbhs
- USBHS_HSTPIPCFG : Usbhs
- USBHS_HSTPIPERR : Usbhs
- USBHS_HSTPIPICR : Usbhs
- USBHS_HSTPIPIDR : Usbhs
- USBHS_HSTPIPIER : Usbhs
- USBHS_HSTPIPIFR : Usbhs
- USBHS_HSTPIPIMR : Usbhs
- USBHS_HSTPIPINRQ : Usbhs
- USBHS_HSTPIPISR : Usbhs
- USBHS_SCR : Usbhs
- USBHS_SFR : Usbhs
- USBHS_SR : Usbhs
- USBHS_TSTA1 : Usbhs
- USBHS_TSTA2 : Usbhs
- USBHS_VERSION : Usbhs
- use_pec : i2c_bus
- used : rtems_flashdisk
- used_blocks : Heap_Statistics
- used_size : rtems_jffs2_info
- user : _rtems_rfs_file_system, rtems_bdbuf_buffer, rtems_blkdev_sg_buffer
- user_data : Timer_Control
- user_environment : _Thread_Control
- User_initialization_tasks_table : rtems_api_configuration_table
- User_mpci_table : MPCI_Configuration
- users : rtems_bdbuf_group, rtems_rtl_obj
- uses : rtems_disk_device
- UTMI_CKTRIM : Utmi
- UTMI_OHCIICR : Utmi